//************************************************************
//             ASCII decimal to BCD12 conversion 
//************************************************************
// Reference:   SOFTWARE SOLUTIONS
// Workspace  : Chapter2\BCD Conversions
// Entry point: BCD Conversions.cpp
// Other files: math2.cpp
//              math2.h
// Development: Visual C++ 6.0 Console Application
// Date:        December 23/2000
//
// Description:
//              Driver module for exaercising BCD to ASCII and
//              ASCII to BCD conversion functions in math2.cpp
//***********************************************************

#include "stdafx.h"
#include <iostream.h>
#include "math2.h"

// Global data
char ascString[] = "1234.56781";
char bcdValue[12]; 
char ascNum[32];


int main()
{

	int dummy;


	cout << "\n\nTesting BCD conversion functions in math2.cpp";

    // Global array ascString[] holds an ASCII test
	// string. Results are returned in global array
	// bcdValue[]

	AsciiToBcd12(ascString, bcdValue);

	// Convert BCD back to ASCII string and store
	// in ascNum[]

    Bcd12ToAscStr(ascNum, bcdValue);

	// Display intput and output strings
	cout << "\n\n" << ascString;
	cout << "\n\n" << ascNum << "\n\n";


    cout << "Press any key\n";
	cin >> dummy;

	return 0;
}