;*****************************************************************
;*****************************************************************
;                        TEST_SPR.ASM
;*****************************************************************
;*****************************************************************
; Description:
;            Test and demonstration program for INPUT_NUMBER and
;            OUTPUT_NUMBER super-procedures in the UNIT_5 module
;            of the MATHUNIT library
;
;****************************************************************
; Procedures in SOLUTION.LIB
EXTRN   INPUT_NUMBER:   FAR
EXTRN   OUTPUT_NUMBER:  FAR
;
;
INCLUDELIB SOLUTION
INCLUDELIB MATHUNIT
;****************************************************************
;                          stack segment
;****************************************************************
STACK  SEGMENT stack

               DB      0400H DUP ('?'); Default stack is 1K
STACK_TOP      EQU     THIS BYTE
;
STACK  ENDS
;
;****************************************************************
;                          data segment
;****************************************************************
DATA    SEGMENT
;
DATA    ENDS
;
;****************************************************************
;                          code segment
;****************************************************************
;
CODE    SEGMENT
        ASSUME  CS:CODE
;
START:
;*******************|
;  initialization   |
;*******************|
; Establish data and extra segment addressability
        MOV     AX,DATA         ; Address of DATA to AX
        MOV     DS,AX           ; and to DS
        ASSUME  DS:DATA         ; Assume from here on
;***********************************|
;           program code            |
;***********************************|
; Display base input message
        CALL    INPUT_NUMBER
        CALL    OUTPUT_NUMBER
;*******************|
;   exit to DOS     |
;*******************|
DOS_EXIT:
        MOV     AH,4CH          ; DOS service request code
        MOV     AL,0            ; No error code returned
        INT     21H             ; TO DOS
;
CODE    ENDS
        END     START           ; Reference to label at which
                                ; execution begins

    ENDS
        END     START           ; Reference to label at which
                                ; execu