//************************************************************
//         Test module for BCD arithmetic in math2.cpp
//************************************************************
// Reference:   SOFTWARE SOLUTIONS Chater2/4
// Workspace  : Chapter2\BCD 20
//
// Entry point: BCD 20.cpp
// Other files: bcd20math.cpp
//              bcd20math.h
// Development: Visual C++ 6.0 Console Application
// Date:        December 23/2000
//
// Description:
//          Driver module for exercising BCD conversions and
//          arithmetic in math2.cpp
//***********************************************************
#include "stdafx.h"
#include <iostream.h>
#include <iomanip.h>
#include "bcd20math.h"
#include <stdio.h>

// Global data
// Source numbers for tests 
char asc1[] = "1.22334455667788771122334455667711";
char asc2[] = "1.11111111111111111111111111111111";
char asc3[] = "1.44444444443333333333332222222211";
char asc4[] = "0.1";
char asc5[] = "4.44444444444444444466666666666666";
char asc6[] = "2.0";
char asc7[] = "2.0";


// Arrays for user input
char user1[28];
char user2[28];

// BCD data
char num1[20];
char num2[20];
char bcdResult[20];
char bcdProduct[20];
char bcdQuotient[20];
// ASCII data
char op1[32];
char op2[32];
char ascResult[52];


int main()
{
   
    AsciiToBcd20(asc1, num1);
    AsciiToBcd20(asc2, num2);

	SignAddBcd20(num1, num2, bcdResult);

	Bcd20ToAscStr(bcdResult, ascResult);

    cout << "\nFirst addend  : " << asc1;
    cout << "\nSecond addend : " << asc2;
	cout << "\nSum           :" << ascResult << "\n\n";

	// Testing multiplication 
    AsciiToBcd20(asc3, num1);
    AsciiToBcd20(asc4, num2);

	SignMulBcd20(num1, num2, bcdProduct);

	Bcd20ToAscStr(bcdProduct, ascResult);

    cout << "\nMultiplicand : " << asc3;
    cout << "\nMultiplier   : " << asc4;
	cout << "\nProduct      :" << ascResult << "\n\n";

	// Testing division 
    AsciiToBcd20(asc5, num1);
    AsciiToBcd20(asc7, num2);

	SignDivBcd20(num1, num2, bcdQuotient);

	Bcd20ToAscStr(bcdQuotient, ascResult);

    cout << "\nDividend : " << asc5;
    cout << "\nDivisor  : " << asc7;
	cout << "\nQuotient :" << ascResult << "\n\n";

  return 0;
}

